SARIF-REPLAY-15(1)

NAME
sarif-replay-15 - manual page for sarif-replay-15 15.0.1 20250329 (experimental) [master r15-9023-g8ad8f749729]

DESCRIPTION
sarif-replay [OPTIONS] FILE+

    "Replay" results from one or more .sarif files as if they were GCC diagnostics

OPTIONS

-fdiagnostics-color={never|always|auto}

Control colorization of diagnostics.
    Default: auto.

-fjson-comments

    Support C and C++ style comments in .sarif JSON files

--verbose

    Print notes about each .sarif file before and after replaying it.

--echo-file

    Print the filename and file contents to stderr before replaying it.

-v, --version

    Print version and exit.

--usage

    Print this message and exit.

COPYRIGHT
Copyright © 2024-2025 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.